Package classycle.dependency

# Class DependencyPathsRenderer

java.lang.Object
classycle.dependency.DependencyPathsRenderer

public class DependencyPathsRenderer extends Object

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`DependencyPathsRenderer(Vertex[] graph, VertexCondition startSetCondition, VertexCondition finalSetCondition)`
`DependencyPathsRenderer(Vertex[] graph, StringPattern startSetPattern, StringPattern finalSetPattern)`

## Method Summary

Modifier and Type
Method
Description
`void`
`renderGraph(classycle.dependency.DependencyPathRenderer renderer)`
`String`
`renderGraph(String lineStart)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DependencyPathsRenderer

public DependencyPathsRenderer(Vertex[] graph, StringPattern startSetPattern, StringPattern finalSetPattern)

### DependencyPathsRenderer

public DependencyPathsRenderer(Vertex[] graph, VertexCondition startSetCondition, VertexCondition finalSetCondition)

## Method Details

### renderGraph

public String renderGraph(String lineStart)

### renderGraph

public void renderGraph(classycle.dependency.DependencyPathRenderer renderer)